Problèmes et questions sur les environnements graphiques et les applications.
Répondre

Pb installation application : paquet absent mais signalé présent

#1Messageil y a 4 semaines

Bonjour,
A ma tentative d'installation de mps-youtube, voici le message que j'obtiens :

conflit de fichiers:
youtube-dl : /usr/lib/python3.7/site-packages/youtube_dl/extractor/__pycache__/hketv.cpython-37.pyc est déjà présent dans le système de fichiers
youtube-dl : /usr/lib/python3.7/site-packages/youtube_dl/extractor/hketv.py est déjà présent dans le système de fichiers
le pb est que dans /usr/lib/python3.7/site-packages je n'ai PAS de dossier youtube_dl.
il s'agit certainement d'une trace d'une ancienne installation (j'avais en effet déjà installé ça).
Pouvez vous m'indiquer comment faire ?

J'ai également un autre pb (suite à dernière MàJ j'ai l'impression). Voici le message :

Erreur: l’ouverture du fichier /var/lib/pacman/local/ffmpeg-1:4.1.1-1/desc a échoué : Aucun fichier ou dossier de ce type
pour ça j'ai tenté de réinstaller ffmpeg mais pas possible : la réponse à ce genre de tentative est

paquet non valide ou corrompu
.

Merci d'avance de vos interventions pour m'aider à avancer dans la résolution de ces 2 pb.

Pb installation application : paquet absent mais signalé présent

#2Messageil y a 4 semaines

Bonjour.
J'espère que tu avais bien installé youtube-dl via pacman (ou pamac) et que tu l'as bien proprement désinstallé et non pas à coup de rm ...
Commence déjà par resynchroniser les miroirs.

sudo pacman-mirrors -g && sudo pacman -Syyu
(-g pour géolocalisation et le double 'y' pour forcer la réécriture dans /val/lib/pacman/local/)
Ensuite, retente.

Pb installation application : paquet absent mais signalé présent

#3Messageil y a 4 semaines

bonjour,

pour fmpeg, ta base de donnée locale est corrompue :oops:
Tu devrais pouvoir simplement créer un fichier vide juste avant l'installation de ffmpeg (avec --overwrite "*")

cd /var/lib/pacman/local/ffmpeg-1:4.1.1-1/
sudo touch desc files mtree
sudo pacman -S ffmpeg --overwrite "*"
---
l'autre erreur dit que le paquet youtube-dl est incompatible avec mps-youtube car ils ont des fichiers en commun
cela ne doit pas être le cas, tu dois avoir une base de donnée en local non à jour (lemust83 te donne la recette)

Pb installation application : paquet absent mais signalé présent

#4Messageil y a 4 semaines

lemust83 a écrit :
il y a 4 semaines
Bonjour.
J'espère que tu avais bien installé youtube-dl via pacman (ou pamac) et que tu l'as bien proprement désinstallé et non pas à coup de rm ...
Commence déjà par resynchroniser les miroirs.

sudo pacman-mirrors -g && sudo pacman -Syyu
(-g pour géolocalisation et le double 'y' pour forcer la réécriture dans /val/lib/pacman/local/)
Ensuite, retente.
Bonjour lemust, je retente après avoir suivi ta consigne et le pb est le même.
papajoke a écrit :
il y a 4 semaines
bonjour,

pour fmpeg, ta base de donnée locale est corrompue :oops:
Tu devrais pouvoir simplement créer un fichier vide juste avant l'installation de ffmpeg

sudo touch /var/lib/pacman/local/ffmpeg-1:4.1.1-1/desc 
---
l'autre erreur dit que le paquet youtube-dl est incompatible avec mps-youtube car ils ont des fichiers en commun
cela ne doit pas être le cas, tu dois avoir une base de donnée en local non à jour (lemust83 te donne la recette)
Et bonjour et merci papajoke, j'ai l'impression que l'erreur sur ffmpeg a disparu

Pb installation application : paquet absent mais signalé présent

#5Messageil y a 4 semaines

muralex1435 a écrit :
il y a 4 semaines
lemust83 a écrit :
il y a 4 semaines
Bonjour.
J'espère que tu avais bien installé youtube-dl via pacman (ou pamac) et que tu l'as bien proprement désinstallé et non pas à coup de rm ...
Commence déjà par resynchroniser les miroirs.

sudo pacman-mirrors -g && sudo pacman -Syyu
(-g pour géolocalisation et le double 'y' pour forcer la réécriture dans /val/lib/pacman/local/)
Ensuite, retente.
Bonjour lemust, je retente après avoir suivi ta consigne et le pb est le même.
Ces pb surviennent après la dernière MaJ. Avez vous eu d'autres remontées similaires sur d'autres paquets ?

Pb installation application : paquet absent mais signalé présent

#6Messageil y a 4 semaines

:confus:
tu n'as pas fait la mise à jour ? tu es bien en stable ?
mps-youtube n'a pas ces fichiers, ils ne sont présent qu'avec youtube-dl

pacman -Fs hketv.cpython-37.pyc
community/youtube-dl 2019.02.18-1
    usr/lib/python3.7/site-packages/youtube_dl/extractor/__pycache__/hketv.cpython-37.pyc
Et ici tu nous dis installer uniquement mps-youtube, il n'y a donc aucune raison qu'il veuille installer ces fichiers

Pb installation application : paquet absent mais signalé présent

#7Messageil y a 4 semaines

mais oui j'ai bien fait la mise à jour
pas d'anomalie à part celle de ffmpeg

et quand je veux installer mps-youtube l'installation de youtube-dl semble exigée :

 sudo pacman -S mps-youtube
résolution des dépendances…
recherche des conflits entre paquets…
Paquets (3) python-pafy-0.5.4-3  youtube-dl-2019.02.18-1  mps-youtube-0.2.8-2
Taille totale installée :  13,36 MiB
Procéder à l’installation ? [O/n] 

Pb installation application : paquet absent mais signalé présent

#8Messageil y a 4 semaines

ok c'est bien youtube-dl qui pose problème car il a déjà été installé d'une manière peu orthodoxe...
Tu peux forcer l'écrasement de cette méchante version avec l'option --overwrite "dossier_que_je_désire_écraser/*"

Pb installation application : paquet absent mais signalé présent

#9Messageil y a 4 semaines

ok y a du progrès :

sudo pacman -S mps-youtube
résolution des dépendances…
recherche des conflits entre paquets…

Paquets (3) python-pafy-0.5.4-3  youtube-dl-2019.02.18-1  mps-youtube-0.2.8-2

Taille totale installée :  13,36 MiB

:: Procéder à l’installation ? [O/n] o
(3/3) vérification des clés dans le trousseau      [######################] 100%
(3/3) vérification de l’intégrité des paquets      [######################] 100%
(3/3) chargement des fichiers des paquets          [######################] 100%
(3/3) analyse des conflits entre fichiers          [######################] 100%
(3/3) vérification de l’espace disque disponible   [######################] 100%
:: Traitement des changements du paquet…
(1/3) installation de youtube-dl                   [######################] 100%
Dépendances optionnelles pour youtube-dl
    ffmpeg: for video post-processing [installé]
    rtmpdump: for rtmp streams support [installé]
    atomicparsley: for embedding thumbnails into m4a files
    python-pycryptodome: for hlsnative downloader
(2/3) installation de python-pafy                  [######################] 100%
Dépendances optionnelles pour python-pafy
    ffmpeg: fix issues with audio file downloads [installé]
(3/3) installation de mps-youtube                  [######################] 100%
==> Make sure to have either mpv or mplayer installed for playback.
Dépendances optionnelles pour mps-youtube
    mpv: Alternative to mplayer for playback
    mplayer: Alternative to mpv for playback [installé]
    ffmpeg: for transcoding downloaded content [installé]
    python-pyperclip: for copying content to the clipboard [installé]
ldconfig: fichier /usr/lib/libavcodec.so est tronqué

ldconfig: fichier /usr/lib/libavcodec.so.58.35.100 est tronqué

ldconfig: fichier /usr/lib/libavcodec.so.58 est tronqué

:: Exécution des crochets de post-transaction…
(1/2) Arming ConditionNeedsUpdate...
(2/2) Updating the desktop file MIME type cache...


un pb donc avec un fichier tronqué ...

et quand je lance mpsyt ça se passe mal ;-) :

 mpsyt
mplayer: error while loading shared libraries: libswscale.so.5: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/bin/mpsyt", line 11, in <module>
    load_entry_point('mps-youtube==0.2.8', 'console_scripts', 'mpsyt')()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2793, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2411, in load
    return self.resolve()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 2417, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.7/site-packages/mps_youtube/__init__.py", line 8, in <module>
    init.init()
  File "/usr/lib/python3.7/site-packages/mps_youtube/init.py", line 50, in init
    config.PLAYER.set(mplayer)
  File "/usr/lib/python3.7/site-packages/mps_youtube/config.py", line 144, in set
    checked = self.check_fn(value)
  File "/usr/lib/python3.7/site-packages/mps_youtube/config.py", line 253, in check_player
    util.load_player_info(player)
  File "/usr/lib/python3.7/site-packages/mps_youtube/util.py", line 421, in load_player_info
    g.mplayer_version = _get_mplayer_version(player)
  File "/usr/lib/python3.7/site-packages/mps_youtube/util.py", line 462, in _get_mplayer_version
    o = subprocess.check_output([exename]).decode()
  File "/usr/lib/python3.7/subprocess.py", line 395, in check_output
    **kwargs).stdout
  File "/usr/lib/python3.7/subprocess.py", line 487, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '['mplayer']' returned non-zero exit status 127.

Pb installation application : paquet absent mais signalé présent

#10Messageil y a 4 semaines

en fait tu n'as pas réinstallé fmpeg comme je t'avais dit !
muralex1435 a écrit :
il y a 4 semaines

mplayer: error while loading shared libraries: libswscale.so.5: cannot open shared object file: No such file or directory

Il te manque un bout de ce paquet ...

pacman -Fs libswscale.so.5
extra/ffmpeg 1:4.1.1-1
    usr/lib/libswscale.so.5

-------
Tu as du avoir à un moment un crash au milieux d'une mise à jour ?
Tu peux lancer un diagnostique de ta bd pacman pour voir si tout est en état

pacman -Qkk

Pb installation application : paquet absent mais signalé présent

#11Messageil y a 4 semaines

Rectif : ffmpeg ok

voilà ce que donne la vérif (je ne reprends ci-dessous que les avertissements)

pacman -Qkk
avertissement : blueman : /usr/share/polkit-1/rules.d (Les GID ne correspondent pas)
avertissement : blueman : /usr/share/polkit-1/rules.d (Les permissions ne correspondent pas)
avertissement : cups : /etc/cups/classes.conf (Les permissions ne correspondent pas)
avertissement : cups : /etc/cups/printers.conf (Les permissions ne correspondent pas)
fichier de sauvegarde: cups : /etc/cups/printers.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: cups : /etc/cups/printers.conf (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/crypttab (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/crypttab (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/fstab (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/fstab (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/group (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/group (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/gshadow (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/gshadow (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/hostname (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/hostname (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/hosts (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/hosts (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/locale.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/locale.conf (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/passwd (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/passwd (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/resolv.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/resolv.conf (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/shadow (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/shadow (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/shells (Les dates de modification ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/shells (Les tailles ne correspondent pas)
fichier de sauvegarde: filesystem : /etc/vconsole.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: glibc : /etc/locale.gen (Les dates de modification ne correspondent pas)
fichier de sauvegarde: glibc : /etc/locale.gen (Les tailles ne correspondent pas)
avertissement : grub : /boot/grub/grub.cfg (Les permissions ne correspondent pas)
fichier de sauvegarde: grub : /boot/grub/grub.cfg (Les dates de modification ne correspondent pas)
fichier de sauvegarde: grub : /boot/grub/grub.cfg (Les tailles ne correspondent pas)
fichier de sauvegarde: grub : /etc/default/grub (Les dates de modification ne correspondent pas)
fichier de sauvegarde: grub : /etc/default/grub (Les tailles ne correspondent pas)
avertissement : java-runtime-common : /usr/lib/jvm/default (Lien symbolique brisé)
avertissement : java-runtime-common : /usr/lib/jvm/default (Les dates de modification ne correspondent pas)
avertissement : java-runtime-common : /usr/lib/jvm/default-runtime (Lien symbolique brisé)
avertissement : java-runtime-common : /usr/lib/jvm/default-runtime (Les dates de modification ne correspondent pas)
fichier de sauvegarde: libxcursor : /usr/share/icons/default/index.theme (Les dates de modification ne correspondent pas)
fichier de sauvegarde: libxcursor : /usr/share/icons/default/index.theme (Les tailles ne correspondent pas)
fichier de sauvegarde: lightdm : /etc/lightdm/lightdm.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: lightdm : /etc/lightdm/lightdm.conf (Les tailles ne correspondent pas)
lightdm : 388 fichiers au total, 0 fichier modifié
fichier de sauvegarde: lightdm-gtk-greeter : /etc/lightdm/lightdm-gtk-greeter.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: lightdm-gtk-greeter : /etc/lightdm/lightdm-gtk-greeter.conf (Les tailles ne correspondent pas)
lightdm-gtk-greeter : 257 fichiers au total, 0 fichier modifié
lightdm-gtk-greeter-settings : 154 fichiers au total, 0 fichier modifié
linux-api-headers : 903 fichiers au total, 0 fichier modifié
linux-firmware : 2214 fichiers au total, 0 fichier modifié
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.alias (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.alias.bin (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.builtin.bin (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.dep (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.dep.bin (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.devname (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.softdep (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.symbols (Les dates de modification ne correspondent pas)
avertissement : linux414 : /usr/lib/modules/4.14.102-1-MANJARO/modules.symbols.bin (Les dates de modification ne correspondent pas)
linux414 : 4847 fichiers au total, 9 fichiers modifiés
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.alias (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.alias.bin (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.builtin.bin (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.dep (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.dep.bin (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.devname (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.softdep (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.symbols (Les dates de modification ne correspondent pas)
avertissement : linux419 : /usr/lib/modules/4.19.24-1-MANJARO/modules.symbols.bin (Les dates de modification ne correspondent pas)
mjpegtools : 171 fichiers au total, 0 fichier modifié
fichier de sauvegarde: mkinitcpio : /etc/mkinitcpio.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: mkinitcpio : /etc/mkinitcpio.conf (Les tailles ne correspondent pas)

fichier de sauvegarde: pacman : /etc/pacman.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: pacman : /etc/pacman.conf (Les tailles ne correspondent pas)
pacman : 371 fichiers au total, 0 fichier modifié
fichier de sauvegarde: pacman-mirrors : /etc/pacman-mirrors.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: pacman-mirrors : /etc/pacman-mirrors.conf (Les tailles ne correspondent pas)
avertissement : pacman-mirrors : /usr/share/pacman-mirrors/mirrors.json (Les dates de modification ne correspondent pas)
avertissement : pacman-mirrors : /usr/share/pacman-mirrors/mirrors.json (Les tailles ne correspondent pas)
pacman-mirrors : 296 fichiers au total, 1 fichier modifié
pam : 585 fichiers au total, 0 fichier modifié
fichier de sauvegarde: pamac : /etc/pamac.conf (Les dates de modification ne correspondent pas)
fichier de sauvegarde: pamac : /etc/pamac.conf (Les tailles ne correspondent pas)
avertissement : thunderbird : /usr/lib/thunderbird/distribution/distribution.ini (Les dates de modification ne correspondent pas)
avertissement : thunderbird : /usr/lib/thunderbird/distribution/distribution.ini (Les tailles ne correspondent pas)
et mps-youtube fonctionne

subsistent donc ces anomalies (taille et dates de modifs).

Pb installation application : paquet absent mais signalé présent

#12Messageil y a 4 semaines

du coup mes 2 pb sont résolus.
Mais subsistent ces anomalies. Je ne sais pas les résoudre, ni si elles sont suffisamment négligeables pour les ignorer...
Merci pour vos indications là dessus (le sujet principal du post pouvant être à part ça considéré comme résolu)

Pb installation application : paquet absent mais signalé présent

#13Messageil y a 4 semaines

En effet elles sont négligeables (MAIS un doute avec linux 4.14 :saispas: )
si l'on change la configuration système, il est normal d'avoir une date et une taille différente que le paquet d'origine (lightdm, grub, pamac ...)

Répondre